- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::VertexPoseKeyFrame::PoseRef Struct Reference

Reference to a pose at a given influence level. More...

`#include <OgreKeyFrame.h>`

List of all members.

## Public Member Functions
| PoseRef (ushort p, Real i)
## Public Attributes
ushort | poseIndex
| The linked pose index.
Real | influence
| Influence level of the linked pose.

## Detailed Description

Reference to a pose at a given influence level.

Remarks:
  Each keyframe can refer to many poses each at a given influence level.

Definition at line 189 of file OgreKeyFrame.h.

## Constructor & Destructor Documentation

Ogre::VertexPoseKeyFrame::PoseRef::PoseRef | ( | ushort | p,
|  | Real | i |
| ) |  |  |

Definition at line 204 of file OgreKeyFrame.h.

## Member Data Documentation

ushort Ogre::VertexPoseKeyFrame::PoseRef::poseIndex

The linked pose index.

Remarks:
  The Mesh contains all poses for all vertex data in one list, both for the shared vertex data and the dedicated vertex data on submeshes. The 'target' on the parent track must match the 'target' on the linked pose.

Definition at line 198 of file OgreKeyFrame.h.

Real Ogre::VertexPoseKeyFrame::PoseRef::influence

Influence level of the linked pose.

1.0 for full influence (full offset), 0.0 for no influence.

Definition at line 202 of file OgreKeyFrame.h.

The documentation for this struct was generated from the following file:

- OgreKeyFrame.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:50:14 2008